### Class

# RB SourceSearchBasic

#### Description [src]

    class RB.SourceSearchBasic : RB.SourceSearch
    {
      RhythmDBPropType search_prop,
      char* description
    }

This implementation of `RBSourceSearch` constructs queries that search on a single `RhythmDBEntry` property. It’s useful for providing basic searches.

#### Ancestors

- RBSourceSearch
- GObject

#### Constructors

###### rb_source_search_basic_new

Creates a new `RBSourceSearchBasic` instance. This performs simple string matching on a specified property.

#### Functions

###### rb_source_search_basic_add_to_menu

Adds an item to `menu` that will select a search based on the specified property. If there isn’t already a registered search instance for the property, one is created.

###### rb_source_search_basic_register

Ensures that a search instance is registered with the specified name.

#### Instance methods

##### Methods inherited from RBSourceSearch (4)

###### rb_source_search_create_query

Creates a `RhythmDBQuery` from the user’s search text.

###### rb_source_search_get_description

Returns a description of the search suitable for displaying in a menu.

###### rb_source_search_is_subset

Determines whether the new search text will result in a subset of entries matched by the previous search. This is used to optimise the search query.

###### rb_source_search_register

Registers a named search instance that can be used in menus and search action states.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### RB.SourceSearchBasic:description

No description available.

###### RB.SourceSearchBasic:prop

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBSourceSearchBasicClass {
      RBSourceSearchClass parent_class;

    }

No description available.

###### Class members

`parent_class: RBSourceSearchClass`

  No description available.